package de.dfki.km.academicresearch.eswc2016challenge.pathfinder.analyse;

import org.apache.jena.rdf.model.Resource;
import org.apache.jena.rdf.model.Statement;
import org.jgrapht.graph.DirectedMultigraph;
import org.jgrapht.graph.DirectedWeightedPseudograph;

import de.dfki.km.academicresearch.eswc2016challenge.pathfinder.jgraphturiedge.base.URIEdge;

public interface IAnalyse {
	
	public void sendOnlyURI(String subject, String predicate, String object);
	
	public String getResult(DirectedWeightedPseudograph<String,URIEdge> g) throws Exception;

}
