package de.dfki.km.academicresearch.eswc2016challenge.pathfinder.jgraphturiedge;

import java.util.LinkedList;
import java.util.List;

import org.apache.jena.rdf.model.ResourceFactory;
import org.jgrapht.GraphPath;

import de.dfki.km.academicresearch.eswc2016challenge.data.Path;
import de.dfki.km.academicresearch.eswc2016challenge.pathfinder.jgraphturiedge.base.URIEdge;

public class JGraphTUtil {
	
	public static List<Path> translatePath(List<GraphPath<String, URIEdge>> pathes){
		
		List<Path> ret = new LinkedList<Path>();
		
		for(GraphPath<String, URIEdge> path : pathes){
			Path newPath = new Path();
			List<URIEdge> p = path.getEdgeList();
			
			if(p.size()>0){
				newPath.add(ResourceFactory.createResource(p.get(0).getSource()));
			}
			for(URIEdge e : p){				
				newPath.add(ResourceFactory.createResource(e.getEdge()));
				newPath.add(ResourceFactory.createResource(e.getTarget()));
			}
			ret.add(newPath);
		}
		return ret;
	}

}
