package de.dfki.km.academicresearch.eswc2016challenge.pathfinder.jgraphturiedge.export;

import java.io.File;
import java.io.FileWriter;
import java.io.IOException;
import java.util.List;

import org.jgrapht.ext.DOTExporter;
import org.jgrapht.graph.DefaultWeightedEdge;
import org.jgrapht.graph.DirectedWeightedPseudograph;

import de.dfki.km.academicresearch.eswc2016challenge.data.Path;
import de.dfki.km.academicresearch.eswc2016challenge.pathfinder.jgraphturiedge.base.JGraphTFinderBaseURI;
import de.dfki.km.academicresearch.eswc2016challenge.pathfinder.jgraphturiedge.base.URIEdge;

public class Render extends JGraphTFinderBaseURI{

	
	@Override
	public List<Path> find(String srcURI, String dstURI, int k, String startOrEndProp) throws Exception {		
		return null;
	}
	
	@Override
	protected String getIndexExtension() {
		return ".dot";
	}
	
	
	@Override
	public void endStreaming() throws Exception {
		super.endStreaming();		
		render(this.g);		
	}

	
	private void render(DirectedWeightedPseudograph<String, URIEdge> g) throws IOException{
		//for visualization
		
        DOTExporter<String, URIEdge> de = new DOTExporter<>(
            (String v) -> String.valueOf(v.hashCode()), 
            (String v) -> URIEdge.cutURI(v),
            (URIEdge e) -> URIEdge.cutURI(e.getEdge())
        );
        
        FileWriter fw = new FileWriter(this.getIndexFile());
        de.export(fw, g);
        fw.close();
	}
}
