package de.dfki.km.academicresearch.eswc2016challenge.pathfinder.jung;

import de.dfki.km.academicresearch.eswc2016challenge.data.Path;
import java.util.LinkedList;
import java.util.List;
import org.apache.jena.rdf.model.ResourceFactory;

public class JungUtil {

    public static List<Path> tranform(List<List<JungEdge>> p) {

        List<Path> ret = new LinkedList();
        for (List<JungEdge> path : p) {
            Path newPath = new Path();
            if (path.size() > 0) {
                newPath.add(ResourceFactory.createResource(path.get(0).getSubject()));
            }
            for (JungEdge e : path) {
                newPath.add(ResourceFactory.createResource(e.getPredicate()));
                newPath.add(ResourceFactory.createResource(e.getObject()));
            }
            ret.add(newPath);
        }
        return ret;

    }

}
