package de.dfki.km.academicresearch.eswc2016challenge.sparqlext.dataset.assembler;

import org.apache.jena.rdf.model.Property;
import org.apache.jena.rdf.model.Resource;
import org.apache.jena.tdb.assembler.Vocab;

public class GraphVocab {
public static final String NS                   =  "http://jena.apache.org/graph#" ;
    
    public static final String pfQuery              =  NS+"query" ;

    public static final Resource graphDataset        = Vocab.resource(NS, "GraphDataset") ;
    public static final Property pDataset           = Vocab.property(NS, "dataset") ;
    public static final Property pIndex             = Vocab.property(NS, "index") ;
    
    public static final Resource graphIndex         = Vocab.resource(NS, "GraphIndex") ;
    public static final Property pDirectory         = Vocab.property(NS, "directory") ;   
    
}
/*
:graph_dataset rdf:type     graph:GraphDataset ;
graph:dataset   <#dataset> ;
graph:index     <#graphIndex> ;
.

# A TDB datset used for RDF storage
<#dataset> rdf:type      tdb:DatasetTDB ;
tdb:location "DB" ;
tdb:unionDefaultGraph true ; # Optional
.

# Graph index description
<#graphIndex> a graph:GraphIndex ;
graph:directory <file:Graph> ;
#graph:directory "mem".
*/