package de.dfki.km.jade.graph;

/**
 * Defines the general interface for a graph with vertex relationship/neighbourhood lookup support
 *  
 * @author reuschling
 *
 * @param <V> the vertex type
 * @param <E> the edge type
 */
public interface BiGraph <V extends Vertex, E extends Edge<V>> extends Graph<V, E>, BiAdjacencyList<V, E>
{
}
