package de.dfki.km.jade.graph;



/**
 * The general, minimal edge interface to connect two verticies with a relationship
 * 
 * @param <V> the vertex type
 */
public interface Edge<V extends Vertex> extends Entity
{

    public V getOtherVertex(V vertex);



    public V getSource();



    public V getTarget();



    public boolean hasSource(V vertex);



    public boolean hasTarget(V vertex);

}
