package de.dfki.km.jade.graph;



import java.util.List;



/**
 * A graph with a root and some leafs
 * 
 * @author reuschling
 * 
 * @param <V>
 * @param <E>
 */
public interface HierarchicalGraph<V extends Vertex, E extends Edge<V>> extends Graph<V, E>
{

    public List<V> getLeafs();



    public V getRoot();
}
