package de.dfki.km.academicresearch.eswc2016challenge;

import de.dfki.km.academicresearch.eswc2016challenge.pathfinder.jgraphturiedge.BinaryHeap;
import de.dfki.km.academicresearch.eswc2016challenge.pathfinder.jgraphturiedge.FibHeap;
import de.dfki.km.academicresearch.eswc2016challenge.pathfinder.jgraphturiedge.FibHeapNode;
import java.util.Random;

/**
 *
 * @author Markus Schr&ouml;der
 */
public class NewMain {
    
    public static void main(String[] args) {
        bin();
    }
    
    private static void bin() {
        BinaryHeap<Integer> bh = new BinaryHeap<>();
        
        bh.add(5);
        bh.add(3);
        bh.add(2);
        bh.add(1);
        bh.add(6);
  
        //DirectedGraph<Integer, DefaultEdge> g = bh.toGraph();
        
        int a = 0;
        
        /*
        System.out.println(bh.element());
        
        Queue<Integer> q = new LinkedList<>();
        q.add(1);//index
        
        while(!q.isEmpty()) {
            
            int index = q.poll();
            //System.out.println(bh.get(index));
            
            int parentIndex = bh.parentIndex(index);
            //System.out.println(parentIndex + " -> " + index);
            
            System.out.println(bh.get(parentIndex) + " -> " + bh.get(index));
            
            if(bh.hasLeftChild(index))
                q.add(bh.leftIndex(index));
            
            if(bh.hasRightChild(index))
                q.add(bh.rightIndex(index));
            
        }
*/
    }
    
    private static void fib() {
        //https://electures.informatik.uni-freiburg.de/portal/download/10/1027/15_1/Fibonacci-Heaps.swf
        
        FibHeap<String> fh = new FibHeap<>();
        
        Random r = new Random();
        
        for(int i = 0; i < 100; i++) {
            fh.insert(new FibHeapNode<>(""), r.nextInt(1000));
        }
        
        System.out.println(fh.toEdges());
        
        System.out.println(fh.min());
        
        System.out.println("min.child: " + fh.min().getChild());
        System.out.println("min.left: " + fh.min().getLeft());
        System.out.println("min.right: " + fh.min().getRight());
        System.out.println("min.parent: " + fh.min().getParent());
    }
}
