package de.dfki.km.academicresearch.eswc2016challenge.pathfinder.jgraphturiedge.shortestpathtree;

import java.io.Writer;

import org.apache.commons.io.output.NullWriter;
import org.jgrapht.DirectedGraph;

public abstract class IShortestPathTree<V, E> {
	
	public abstract ShortestPathTree<V,E> computeShortestPathTree(DirectedGraph<V,E> g, V source, Writer w) throws Exception;
	
	
	public ShortestPathTree<V,E> computeShortestPathTree(DirectedGraph<V,E> g, V source)throws Exception{
		return computeShortestPathTree(g, source, new NullWriter());
	}
	

}
