package de.dfki.km.academicresearch.eswc2016challenge.sparqlext.dataset.assembler;

import org.apache.jena.assembler.Assembler;
import org.apache.jena.query.text.assembler.ConfigurableAnalyzerAssembler;
import org.apache.jena.query.text.assembler.EntityDefinitionAssembler;
import org.apache.jena.query.text.assembler.KeywordAnalyzerAssembler;
import org.apache.jena.query.text.assembler.LocalizedAnalyzerAssembler;
import org.apache.jena.query.text.assembler.LowerCaseKeywordAnalyzerAssembler;
import org.apache.jena.query.text.assembler.SimpleAnalyzerAssembler;
import org.apache.jena.query.text.assembler.StandardAnalyzerAssembler;
import org.apache.jena.query.text.assembler.TextDatasetAssembler;
import org.apache.jena.query.text.assembler.TextIndexLuceneAssembler;
import org.apache.jena.query.text.assembler.TextIndexSolrAssembler;
import org.apache.jena.query.text.assembler.TextVocab;
import org.apache.jena.sparql.core.assembler.AssemblerUtils;

public class GraphAssembler {
	public static void init()
    {
        AssemblerUtils.init() ;
        Assembler.general.implementWith(GraphVocab.graphDataset,    new GraphDatasetAssembler()) ;
        Assembler.general.implementWith(GraphVocab.graphIndex,    new GraphIndexAssembler()) ;
    }
}
