package de.dfki.km.academicresearch.eswc2016challenge.sparqlext.filterfunction;

import org.apache.jena.sparql.function.FunctionFactory;
import org.apache.jena.sparql.function.FunctionRegistry;
import org.apache.jena.sparql.pfunction.PFuncSimple;


public class FilterMain {
	
	public static void main(String[] args) {
		//property function vs. filter function:
		//A key difference is that Property Functions may generate new bindings.
		
		//https://jena.apache.org/documentation/larq/
		//https://jena.apache.org/documentation/query/writing_functions.html
		//https://jena.apache.org/documentation/query/writing_propfuncs.html
		//https://jena.apache.org/documentation/query/library-function.html
		//https://jena.apache.org/documentation/query/library-propfunc.html
		//https://jena.apache.org/documentation/query/arq-query-eval.html
		//https://jena.apache.org/documentation/query/extension.html
		
		//wie fr text index....
		//https://svn.apache.org/repos/asf/jena/Archive/jena-larq/src/test/java/org/apache/jena/larq/examples/
		
		
		
		
		FunctionRegistry.get().put("http://km.dfki.de/function#hiconFunction", HiconFunction.class);
		
		//FunctionFactory f = FunctionRegistry.get().get("http://km.dfki.de/function#hiconFunction");
		
		
		
		
		
		String query = "PREFIX func: <http://km.dfki.de/function#>"+
					   "SELECT *"+
					   "WHERE {FILTER func:hiconFunction(?x)}";
		
				
		/*
		PREFIX afn: <http://jena.hpl.hp.com/ARQ/function#>
			PREFIX dc: <http://purl.org/dc/elements/1.1/>
			SELECT ?v { 
			    ?x dc:date ?date . 
			    FILTER (?date < afn:now() )
			}
		*/
		
		
		
		
		
		
		
		
		
		
	}
}
