package de.dfki.km.jade.graph.core;



import de.dfki.km.jade.graph.Vertex;
import java.io.Serializable;


/**
 * A basic vertex implementation
 * 
 * @author reuschling
 */
public class CoreVertex implements Vertex, Serializable
{

    protected int m_index;



    @Override
    public int getIndex()
    {
        return m_index;
    }



    @Override
    public void setIndex(int index)
    {
        this.m_index = index;
    }



    @Override
    public boolean equals(Object obj)
    {
        if(obj == null) return false;

        return (m_index == ((Vertex) obj).getIndex());
    }



    @Override
    public int hashCode()
    {
        return m_index;
    }



    @Override
    public String toString()
    {
        return String.valueOf(m_index);
    }

}
