package de.dfki.km.academicresearch.eswc2016challenge.unittests.cassovary;

import com.twitter.cassovary.graph.DirectedGraph;
import com.twitter.cassovary.graph.TestGraphs;
import org.junit.Test;
import org.slf4j.Logger;
import org.slf4j.LoggerFactory;

/**
 *
 * @author Markus Schr&ouml;der
 */
public class CassovaryTest {
    
    private static final Logger logger = LoggerFactory.getLogger(CassovaryTest.class);
    
    public CassovaryTest() {
    }
    
    @Test
    public void genTest() {
        int numNodes = 500;
        logger.debug("Generating a complete directed graph with %d nodes...\n", numNodes);
        DirectedGraph graph = TestGraphs.generateCompleteGraph(numNodes);
        logger.debug("Hello Graph!\n\tA complete directed graph with %s nodes has %s directed edges.\n", graph.nodeCount(), graph.edgeCount());
    }
    
}
